#
# spec file for package kanjipad
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kanjipad
BuildRequires:  gtk2-devel
BuildRequires:  update-desktop-files
Version:        2.0.0
Release:        444.5
URL:            http://fishsoup.net/software/kanjipad/
Source0:        http://fishsoup.net/software/kanjipad/kanjipad-2.0.0.tar.bz2
Source1:        %name.desktop
Patch0:         kanjipad.patch
Patch1:         kanjipad-drop-disable-deprecated.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Japanese Handwriting Recognition
License:        GPL-2.0-or-later
Group:          System/I18n/Japanese

%description
KanjiPad is a very simple program for handwriting recognition. The user
draws a character into the box, then requests translation. The best
candidates are displayed along the right hand side of the window and
can be selected for pasting into other programs.

It is meant primarily for dictionary purposes for learners of Japanese.
It does not support entering kana, so its usefulness as an input method
is limited. Furthermore, if you already know the reading of a
character, conventional pronunciation-based methods of entering the
character are probably faster.

However, KanjiPad is sometimes useful for entering very unusual
characters, even if the pronunciation is known, because
pronunciation-based input methods often fail for rarely used
characters.

%prep
%autosetup -p1

%build
make PREFIX=/usr OPTIMIZE="$RPM_OPT_FLAGS"

%install
make PREFIX=$RPM_BUILD_ROOT/usr install
%suse_update_desktop_file -i %name Education Languages

%files
%defattr(-,root,root)
%doc README TODO ChangeLog
%license COPYING
/usr/bin/*
/usr/share/[^a]*
/usr/share/applications/*

%changelog
* Sat Aug 24 2024 Takashi Iwai <tiwai@suse.com>
- Drop GDK_DISABLE_DEPRECATED for fixing the build with gcc14:
  kanjipad-drop-disable-deprecated.patch
- Move COPYING to %%license
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Mon Mar  9 2015 dimstar@opensuse.org
- Move the .desktop file to Education;Languages
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sat Sep 24 2011 crrodriguez@opensuse.org
- Link with libm as well.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jun  1 2004 ro@suse.de
- do not define GTK_DISABLE_DEPRECATED
* Tue Feb 17 2004 adrian@suse.de
- fix Categories
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Sat Aug 16 2003 adrian@suse.de
- add desktop file
* Tue Jun 24 2003 ro@suse.de
- use gtk2-devel-packages in neededforbuild
* Tue Jun 24 2003 mfabian@suse.de
- update to 2.0.0 (GTK-2 version) and remove obsolete patch.
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Thu Aug 31 2000 mfabian@suse.de
- fix to make it work on big-endian machines like PowerPC
* Fri Jul 14 2000 mfabian@suse.de
- new package: kanjipad, Version 1.2.3
